HttpRequest::clearHistory
HttpRequest::enableCookies
The HttpRequest
PHP Manual

# HttpRequest::__construct

(PECL pecl_http >= 0.10.0)

HttpRequest::__construct — HttpRequest constructor

### Описание

public void HttpRequest::__construct ([ string `$url` [, int `$request_method`= HTTP_METH_GET [, array `$options` ]]] )

Instantiate a new HttpRequest object.

### Список параметров

`url`

  the target request url

`request_method`

  the request method to use

`options`

  an associative array with request options

### Errors/Exceptions

Throws HttpException.

HttpRequest::clearHistory
HttpRequest::enableCookies
The HttpRequest
PHP Manual